View DNSSEC (DS and KEY records) settings for one of your domains. This is useful for verifying correct DNSSEC configuration or troubleshooting DNS-related issues.
path.domainId domainId integer · min: 1 required
Example: 20292 Unique domain identifier
Accept Example Content-Type Example data object required data.dnssec object required data.dnssec.ds array<object> required
· Example: [{"id":"4a79a134a2fcf5e8655104d183cc7aac","key_tag":"2371","algorithm":"13","digest_typ... data.dnssec.ds[].algorithm string required
· Example: 13 data.dnssec.ds[].digest string required
· Example: b032fb0dfb8d9b7158a2e23d76279d337c89622055dfa721862a34d4175c8a35 data.dnssec.ds[].digest_type string required
· Example: 2 data.dnssec.ds[].id string required
· Example: 4a79a134a2fcf5e8655104d183cc7aac data.dnssec.ds[].key_tag string required
· Example: 2371 data.dnssec.key array<object> required
· Example: [] data.dnssec.type string required
· Example: DS data.domain string required
· Example: example.com requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/domains/{domainId}/dnssec curl -X GET "https://cloud.hostup.se/api/domains/20292/dnssec" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"domain": "example.com",
"dnssec": {
"ds": [
{
"id": "4a79a134a2fcf5e8655104d183cc7aac",
"key_tag": "2371",
"algorithm": "13",
"digest_type": "2",
"digest": "b032fb0dfb8d9b7158a2e23d76279d337c89622055dfa721862a34d4175c8a35"
}
],
"key": [],
"type": "DS"
}
}
}